Subject: Re: FSL 64-bit DMA window question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 08 Jun 2013 08:39:53 +1000

On Fri, 2013-06-07 at 17:34 -0500, Scott Wood wrote:
> > You also need to account for other on-chip MMIOs no ? Or do you never
> > intend to let PCI devices hit them ?
> 
> I don't think we normally need that (other than MSIs, which have a  
> special window under 4G)...  The question is whether it's better to let  
> odd use cases work without having to manually move the DMA window, at  
> the cost of decreased out-of-the-box performance with common PCIe cards.

Sorry, I didn't parse what the tradeoff is here...

Putting the inbound window above memory seems like a reasonable option then
(at least as a default that the board can override).

I sincerely hope those radeons are the only remaining things with that sort of
limitation but you never know ... it's all x86 fault of course for never having
used high DMA windows :-)

Cheers,
Ben.